%define modname expect
%define soname %{modname}.so
%define inifile A68_%{modname}.ini

Summary:	PHP extension for expect library
Name:		php-%{modname}
Version:	0.3.1
Release:	%mkrel 4
Group:		Development/PHP
License:	PHP License
URL:		http://pecl.php.net/package/expect
Source0:	http://pecl.php.net/get/%{modname}-%{version}.tgz
Requires(pre): rpm-helper
Requires(postun): rpm-helper
Requires(pre):  apache-mod_php
BuildRequires:	php-devel >= 3:5.2.0
BuildRequires:	expect-devel
BuildRequires:	file

%description
This extension allows to interact with processes through PTY, using expect
library.

%prep

%setup -q -n %{modname}-%{version}
[ "../package*.xml" != "/" ] && mv ../package*.xml .

# fix permissions
find . -type f | xargs chmod 644

# strip away annoying ^M
find . -type f|xargs file|grep 'CRLF'|cut -d: -f1|xargs perl -p -i -e 's/\r//'
find . -type f|xargs file|grep 'text'|cut -d: -f1|xargs perl -p -i -e 's/\r//'

# lib64 fix
perl -pi -e "s|/lib\b|/%{_lib}|g" config.m4

%build
%serverbuild

phpize
%configure2_5x --with-libdir=%{_lib} \
    --with-%{modname}=shared,%{_prefix}

# borked libname
libexpect=`basename %{_libdir}/libexpect*.so | sed -e 's/^lib//' | sed -e 's/\.so$//'`
perl -pi -e "s|^EXPECT_SHARED_LIBADD.*|EXPECT_SHARED_LIBADD=-l$libexpect|g" Makefile

%make

%install
rm -rf %{buildroot}

install -d %{buildroot}%{_sysconfdir}/logrotate.d
install -d %{buildroot}%{_sysconfdir}/php.d
install -d %{buildroot}%{_libdir}/php/extensions
install -d %{buildroot}/var/log/httpd

install -m0755 modules/%{soname} %{buildroot}%{_libdir}/php/extensions/

cat > %{buildroot}%{_sysconfdir}/php.d/%{inifile} << EOF
extension = %{soname}

[expect]
;expect.logfile = /var/log/httpd/%{name}.log
expect.loguser = On
expect.timeout = 10
EOF

# install log rotation stuff
cat > %{buildroot}%{_sysconfdir}/logrotate.d/%{name} << EOF
/var/log/httpd/%{name}.log {
    create 644 apache apache
    monthly
    compress
    missingok
}
EOF

touch %{buildroot}/var/log/httpd/%{name}.log

%post
if [ $1 = 1 ]; then
    %create_ghostfile /var/log/httpd/%{name}.log apache apache 644
fi

%clean
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc package*.xml
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/logrotate.d/%{name}
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}
%ghost %attr(0644,apache,apache) /var/log/httpd/%{name}.log




%changelog

* Wed Jan 30 2013 oden <oden> 0.3.1-4.mga3
+ Revision: 393261
- rebuilt for php-5.4.11

* Sun Jan 13 2013 umeabot <umeabot> 0.3.1-3.mga3
+ Revision: 375741
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Mar 19 2012 luigiwalser <luigiwalser> 0.3.1-2.mga2
+ Revision: 223884
- httpd restart is handled by filetriggers now

* Wed Dec 21 2011 spuhler <spuhler> 0.3.1-1.mga2
+ Revision: 185178
- upgrade to 0.3.1

* Sun Feb 06 2011 spuhler <spuhler> 0.2.7-5.mga1
+ Revision: 47878
- removed buildroot definition from .spec
- imported package php-expect

